HostingDelivery
Create suppression list entry
POST
/api/delivery/suppression_listsAdds a manual suppression list entry.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*string
Email address to suppress.
reason*string
Suppression reason.
complaint= recipient complaint.bounce= delivery bounce.
Values
complaint | bounceaccounts?string[]
Delivery account ids/codes to restrict the suppression entry to. Omit for global customer suppression.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/suppression_lists" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "reason": "complaint" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}